from netforce.model import Model, fields, get_model
from netforce.utils import get_data_path
import time
from netforce.access import get_active_user
from netforce.access import get_active_company

class HdcaselineDetail(Model):
    _name="clinic.hd.case.line.detail"
    _fields={
        "hd_case_id": fields.Many2One("clinic.hd.case","HdCase",required=True,on_delete="cascade"),
        "product_id": fields.Many2One("product","Product",search=True),
        "detail": fields.Char("Description",search=True),
        "qty":fields.Integer("QTY"),
        "uom_id": fields.Many2One("uom","UOM",required=True,search=True),
        "price":fields.Float("Price"),
        "total":fields.Float("Total"),
    }
HdcaselineDetail.register()

